Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Messaging Namespace Reference

## Compounds
struct | PolicyValue
class | PolicyValueSeq
## Typedefs
typedef TAO_Var_Var_T< PolicyValue > | PolicyValue_var
typedef TAO_Out_T< PolicyValue, PolicyValue_var > | PolicyValue_out
typedef TAO_VarSeq_Var_T< PolicyValueSeq, PolicyValue > | PolicyValueSeq_var
typedef TAO_Seq_Out_T< PolicyValueSeq, PolicyValueSeq_var, PolicyValue > | PolicyValueSeq_out
typedef CORBA::Short | SyncScope
typedef CORBA::Short_out | SyncScope_out
## Variables
::CORBA::TypeCode_ptr | _tc_PolicyValue
::CORBA::TypeCode_ptr | _tc_PolicyValueSeq
const IOP::ComponentId | TAG_POLICIES = 2U
const IOP::ServiceId | INVOCATION_POLICIES = 2U
const Messaging::SyncScope | SYNC_NONE = 0
const Messaging::SyncScope | SYNC_WITH_TRANSPORT = 1
const Messaging::SyncScope | SYNC_WITH_SERVER = 2
const Messaging::SyncScope | SYNC_WITH_TARGET = 3

## Typedef Documentation

typedef TAO_Out_T< PolicyValue, PolicyValue_var > Messaging::PolicyValue_out

typedef TAO_Var_Var_T< PolicyValue > Messaging::PolicyValue_var

typedef TAO_Seq_Out_T< PolicyValueSeq, PolicyValueSeq_var, PolicyValue > Messaging::PolicyValueSeq_out

typedef TAO_VarSeq_Var_T< PolicyValueSeq, PolicyValue > Messaging::PolicyValueSeq_var

typedef CORBA::Short Messaging::SyncScope

typedef CORBA::Short_out Messaging::SyncScope_out

## Variable Documentation

TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr Messaging::_tc_PolicyValue

| Initial value:
        &_tc_TAO_tc_Messaging_PolicyValue

TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr Messaging::_tc_PolicyValueSeq

| Initial value:
        &_tc_TAO_tc_Messaging_PolicyValueSeq

const IOP::ServiceId Messaging::INVOCATION_POLICIES = 2U

const Messaging::SyncScope Messaging::SYNC_NONE = 0

const Messaging::SyncScope Messaging::SYNC_WITH_SERVER = 2

const Messaging::SyncScope Messaging::SYNC_WITH_TARGET = 3

const Messaging::SyncScope Messaging::SYNC_WITH_TRANSPORT = 1

const IOP::ComponentId Messaging::TAG_POLICIES = 2U